VisualEditor: [Regression wmf16] TypeError: this.typeInput.getSelectedItem(...) is null appearing and cannot close the Media Settings dialog for an image with left position and border format
Closed, ResolvedPublic

Description

Screenshot

Steps to reproduce:

1.Open a page with VE
2.Insert an image
3.Go to Media Settings>Advanced Settings for that image
4.Set the position to left and image type to border
5.Save the page
6.Reopen the page
7.Select the image and open the media settings for it

Observed Result:

TypeError: this.typeInput.getSelectedItem(...) is null appears in the console and also I could not cross out the media settings page for that image and got stuck in VE.

Test Environment: http://en.wikipedia.beta.wmflabs.org/
Browser: Chrome Version 26.0.1410.65 & FF 25
OS: MAC OS X 10. 8. 5
Page:http://en.wikipedia.beta.wmflabs.org/w/index.php?title=27thfebff&veaction=edit

See the screenshot attached


Version: unspecified
Severity: normal

Attached:

bzimport set Reference to bz62024.
Ryasmeen created this task.Via LegacyFeb 27 2014, 10:45 PM
Ryasmeen added a comment.Via ConduitFeb 27 2014, 10:52 PM

Also , observe in the general settings of the image with such position and format there is not caption section.
See the screenshot attached

Ryasmeen added a comment.Via ConduitFeb 27 2014, 10:53 PM

Created attachment 14710
Missing caption section

Attached:

Ryasmeen added a comment.Via ConduitFeb 27 2014, 11:24 PM

Small modification: It has nothing to do with the image position, just select the image type as border with whatever image position it will throw that error.

Mooeypoo added a comment.Via ConduitFeb 28 2014, 1:04 AM

This is the bug ed noticed this morning.

This should fix the error: https://gerrit.wikimedia.org/r/#/c/115939/

gerritbot added a comment.Via ConduitFeb 28 2014, 7:46 PM

Change 115939 had a related patch set uploaded by Mooeypoo:
[wip] Add type 'none' to the media edit dialog

https://gerrit.wikimedia.org/r/115939

gerritbot added a comment.Via ConduitMar 5 2014, 7:11 PM

Change 115939 merged by jenkins-bot:
Deal with 'none'/'border' and default size in media edit

https://gerrit.wikimedia.org/r/115939

Ryasmeen added a comment.Via ConduitMar 5 2014, 8:44 PM

Verified the fix in Betalabs

Ryasmeen added a comment.Via ConduitMar 7 2014, 9:44 PM

Verified the fix in test2

Ryasmeen added a comment.Via ConduitMar 18 2014, 10:17 PM

I just reproduced it on betalabs again : http://en.wikipedia.beta.wmflabs.org/wiki/18thMarChrome?veaction=edit

Try the second image

See the screenshot attached.

Ryasmeen added a comment.Via ConduitMar 18 2014, 10:33 PM

Also, observe that for every copy of that image if you make it frameless , the resulting size in wikitext becomes NaNxNaN

Ryasmeen added a comment.Via ConduitMar 18 2014, 10:38 PM

Correction: everytime you make it frameless and fullsize, it results into NaNxNaN

Ryasmeen added a comment.Via ConduitMar 18 2014, 11:17 PM

Created attachment 14856
The most recent error appeared on 18th March

Attached:

Lokal_Profil added a comment.Via ConduitMar 21 2014, 3:17 PM

https://bugzilla.wikimedia.org/show_bug.cgi?id=62926 might be a duplicate of this. Although in a more general setting.

Note though that this also occurs for a thumbnail images* (which is the default setting for images inserted by VE).

*This occurs on sv.wp [1] whilst it does not seem to occur on en.wp [2]

[1] https://sv.wikipedia.org/w/index.php?title=User:Andr%C3%A9_Costa_%28WMSE%29/test2&veaction=edit
[2] https://en.wikipedia.org/w/index.php?title=User:Andr%C3%A9_Costa_%28WMSE%29/test2&veaction=edit

I would also argue for bringing the priority of this up since not being able to close the dialogue window means that any unsaved data in the article is lost. We have already had this occur during a workshop.

Jdforrester-WMF added a comment.Via ConduitMar 21 2014, 5:49 PM
  • Bug 62926 has been marked as a duplicate of this bug. ***
gerritbot added a comment.Via ConduitMar 21 2014, 6:57 PM

Change 120057 had a related patch set uploaded by Mooeypoo:
Fix 'original dimensions' async call in MediaEdit dialog

https://gerrit.wikimedia.org/r/120057

gerritbot added a comment.Via ConduitMar 24 2014, 10:51 PM

Change 120690 had a related patch set uploaded by Catrope:
Fix 'original dimensions' async call in MediaEdit dialog

https://gerrit.wikimedia.org/r/120690

gerritbot added a comment.Via ConduitMar 24 2014, 10:51 PM

Change 120691 had a related patch set uploaded by Catrope:
Fix 'original dimensions' async call in MediaEdit dialog

https://gerrit.wikimedia.org/r/120691

gerritbot added a comment.Via ConduitMar 24 2014, 10:54 PM

Change 120057 merged by jenkins-bot:
Fix 'original dimensions' async call in MediaEdit dialog

https://gerrit.wikimedia.org/r/120057

Ryasmeen added a comment.Via ConduitMar 24 2014, 11:27 PM

Looks like its fixed in Betalabs.I tried the bonsai image in this page after the fix has been merge , did not get that error whereas previously I was getting it there:
http://en.wikipedia.beta.wmflabs.org/wiki/24thMarchrome

gerritbot added a comment.Via ConduitMar 24 2014, 11:50 PM

Change 120691 merged by Catrope:
Fix 'original dimensions' async call in MediaEdit dialog

https://gerrit.wikimedia.org/r/120691

gerritbot added a comment.Via ConduitMar 24 2014, 11:51 PM

Change 120690 merged by Catrope:
Fix 'original dimensions' async call in MediaEdit dialog

https://gerrit.wikimedia.org/r/120690

Add Comment

Column Prototype
This is a very early prototype of a persistent column. It is not expected to work yet, and leaving it open will activate other new features which will break things. Press "\" (backslash) on your keyboard to close it now.